.baichen-footer {
  background: #000;
  color: #fff;
  padding-bottom: 20px;
}

.baichen-footer .subscribe-section {
  background: #000;
  text-align: center;
  padding: 80px 0px;
  max-width: 1024px;
  margin: 0 auto;
}

.baichen-footer .subscribe-section p {
  font-size: 16px;
  color: rgba(255, 255, 255, 0.7);
  margin-bottom: 40px;
  line-height: 1.5;
}

.baichen-footer .subscribe-form {
  display: flex;
  margin: 0 auto;
  background: rgba(255, 255, 255, 0.1);
  border-radius: 100px;
  padding: 12px;
  border: 1px solid rgba(255, 255, 255, 0.20);
  position: relative;
}

.baichen-footer .subscribe-form input {
  flex: 1;
  background: transparent;
  border: none;
  padding: 15px 25px;
  color: #fff;
  font-size: 16px;
}

.baichen-footer .subscribe-form .crmFormVali-error {
  bottom: -20px;
  left: 8px;
  top: initial;
  right: inherit;
}

.baichen-footer .subscribe-form input::placeholder {
  color: rgba(255, 255, 255, 0.5);
}

.baichen-footer .subscribe-form button {
  background: var(--color-primary);
  color: #fff;
  border: none;
  padding: 15px 35px;
  border-radius: 100px;
  font-size: 16px;
  cursor: pointer;
  transition: background 0.3s;
}

.baichen-footer .subscribe-form button:hover {
  background: #1557A0;
}

.baichen-footer .footer-content {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 40px;
}

.baichen-footer .footer-content h3 {
  font-size: 20px;
  font-weight: 600;
  margin-bottom: 20px;
  color: #fff;
}

.baichen-footer .footer-menu ul li,
.baichen-footer .footer-products ul li {
  margin-bottom: 15px;
}
.footer-menu ul {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
}
.baichen-footer .footer-menu ul li a,
.baichen-footer .footer-products ul li a {
  color: rgba(255, 255, 255, 0.7);
  text-decoration: none;
  transition: color 0.3s;
}

.footer-menu ul li {
  width: 32.3333%;
}

.baichen-footer .footer-menu ul li a:hover,
.baichen-footer .footer-products ul li a:hover {
  color: #fff;
}

.baichen-footer .product-columns {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 20px;
}

.baichen-footer .footer-contact p {
  color: rgba(255, 255, 255, 0.7);
  margin-bottom: 15px;
  line-height: 1.6;
}

.baichen-footer .footer-bottom {
  padding-top: 30px;
  border-top: 1px solid rgba(255, 255, 255, 0.1);
}

.baichen-footer .footer-bottom .container {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.baichen-footer .footer-bottom .logo img {
  height: 40px;
}

.baichen-footer .footer-bottom .copyright {
  color: rgba(255, 255, 255, 0.7);
  font-size: 16px;
}

.baichen-footer .social-links {
  display: flex;
  gap: 15px;
}

.baichen-footer .social-links a {
  color: rgba(255, 255, 255, 0.7);
  text-decoration: none;
  transition: color 0.3s;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  width: 40px;
  height: 40px;
  border-radius: 50%;
  border: 1px solid #525252;
  transition: all 0.3s;
}

.baichen-footer .social-links a:hover {
  color: #fff;
  border-color: #fff;
}

.baichen-footer .social-links i {
  font-size: 20px;
}

@media (max-width: 1400px) {

}

@media (max-width: 992px) {
  .baichen-footer .footer-content {
    grid-template-columns: repeat(2, 1fr);
  }
  
  .baichen-footer .subscribe-section h2 {
    /* font-size: 36px; */
  }

  .baichen-footer .subscribe-form {
    padding: 4px;
  }

  .baichen-footer .subscribe-form input {
    padding: 10px 20px;
  }
  .baichen-footer .subscribe-form button {
    padding: 10px 20px;
  }

  .baichen-footer .subscribe-section p {
    margin-bottom: 20px;
  }
}

@media (max-width: 768px) {
  .baichen-footer .footer-content {
    grid-template-columns: 1fr;
  }

  .baichen-footer .subscribe-form input {
    padding: 8px 14px;
  }
  .baichen-footer .subscribe-form button {
    padding: 8px 14px;
  }
  
  .baichen-footer .subscribe-section {
    padding: 40px 0px;
  }

  .baichen-footer .footer-bottom .container { 
    flex-direction: column;
    align-items: flex-start;
  }

  .baichen-footer .footer-bottom .copyright,
  .baichen-footer .footer-bottom .logo img {
    margin-bottom: 10px;
  }

} 